package com.bwie.common.domain.request;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 求租搜索表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder

public class AskRentRequest {

    @TableField("dictionary_type_id")
    private Long dictionaryTypeId;  //求租类型

    @TableField("addr_id")
    private Long addrId;  //三级联动

    private Integer pageNum=1;
    private Integer pageSize=3;
}
