package com.bwie.common.domain.request;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HouseFindRequest {

    private Long roomTypeId; // 字典详情 id 商户 写字楼小区

    private Long addrId;  //区域id
    private String housePrice;  //价格

    private String roomType;  //户型
    private String orientation;  //朝向
    private Integer verify;  //是否验真【0-已验真 1-未验真】


    private Integer pageNum=1;
    private Integer pageSize=10;




}
