package com.bwie.common.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class UserReq {

    private String userName;
    /*
        密码
     */
    private String userPassword;
    /*
        手机号
     */
    private String userTel;
    /*
        头像
     */
    private String userImg;
    /*
        公司
     */
    private String company;
    /*
        积分
     */
    private Integer point;
    /*
        状态【0-在职 1-离职】
     */
    private Integer userStatus;
    /*
        登陆人身份【0-经纪人 1-用户】
     */
    private Integer userRole;
    /*
        是否启用【0-启用 1-未启用】
     */
    private Integer isStart;
    /*
        入职时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
    /*
        最新修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;
    /*
        逻辑删除字段
     */
    private Integer isDelete;


}
