package com.bwie.esask.controller;

import com.bwie.esask.seriver.EsAskRentService;
import com.bwie.common.domain.AskRent;
import com.bwie.common.domain.request.AskRentRequest;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Es求租表
 */
@RestController
@RequestMapping("/esRent")
public class EsAskRentController {

    private final EsAskRentService esAskRentService;

    public EsAskRentController(EsAskRentService esAskRentService) {
        this.esAskRentService = esAskRentService;
    }
    @PostMapping("/shouListt")
    public void shouListt(@RequestBody List<AskRent> list){
        esAskRentService.shouListt(list);
    }


    @PostMapping("/shouRentList")
    public Result shouRentList(@RequestBody AskRentRequest askRentRequest){
        return esAskRentService.shouRentList(askRentRequest);
    }

}
