package com.bwie.group.controller;

import com.bwie.common.domain.Group;
import com.bwie.common.domain.request.GroupRequest;
import com.bwie.group.service.GroupService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/group")
public class GroupController {
    @Autowired
    private GroupService groupService;

    @PostMapping("/groupList")
    public PageInfo<Group> groupList(@RequestBody GroupRequest groupRequest){
     return groupService.groupList(groupRequest);
    }

}
