package com.bwie.group.service.impl;

import com.bwie.common.domain.Group;
import com.bwie.common.domain.request.GroupRequest;
import com.bwie.group.mapper.GroupMapper;
import com.bwie.group.service.GroupService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GroupServiceImpl implements GroupService {
    @Autowired
    private GroupMapper groupMapper;

    @Override
    public PageInfo<Group> groupList(GroupRequest groupRequest) {
        PageHelper.startPage(groupRequest.getPageNum(),groupRequest.getPageSize());
        List<Group> list = groupMapper.groupList(groupRequest);
        PageInfo<Group> info = new PageInfo<>(list);

//        Group build = Group.builder()
//                .createTime(new Date("2020-10-01"))
//                .build();
        return info;
    }

}
