package com.bwie.home.feign;

import com.bwie.alipay.HouseList;
import com.bwie.common.result.Result;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "bwie-alipay",url = "http://127.0.0.1:9008")
public interface AlipayFeign {
    @GetMapping("/alipay/alipayway")
    public Result alipay(@RequestParam HouseList houseList);
}
