package com.bwie;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@EnableFeignClients("com.bwie.**")
@MapperScan("com.bwie.user.mapper")
public class UserApp {

    public static void main(String[] args) {

        SpringApplication.run(UserApp.class,args);

    }

}
