package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.domain.request.PhoneLoginRequest;
import com.bwie.common.domain.request.UserReq;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.domain.response.system.UserResponse;
import com.bwie.common.result.Result;

public interface AuthService {



    Result reg(UserReq userReq);

    Result sendCode(String userTel);

    UserResponse login(LoginRequest loginRequest);

    User getInfo();

    Result sencCode(String userTel);

    Result phoneLogin(PhoneLoginRequest phoneLoginRequest);
}
