package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("house_examine")
public class HouseExamine {

    @TableId(type = IdType.AUTO)
    private Long houseExamineId;  //房源审核表
    private Long houseId;  //房源id
    private String houseExamineStatus;  //房源状态 -- 0未审核2审核中3通过4驳回
}
