package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Info {
    /*
       id
    */
    private Long userId;
    /*
        姓名
     */
    private String userName;
    /*
        手机号
     */
    private String userTel;

    /*
        公司
     */
    private String company;
    /*
        积分
     */
    private Integer point;

    /*
        登陆人身份【0-经纪人 1-用户】
     */
    private Integer userRole;


}
