package com.bwie.alipay;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.math.BigDecimal;

@Configuration
@ConfigurationProperties(prefix = "alipay")
@Data
public class Alipay {


    private String privateKey;//私钥
    private String alipayPublicKey;//支付宝公钥
    private String appId;//商户ID
    private String notifyUrl;//
    private String returnUrl;//
    private String serverUrl;
    private String charset;
    private String signType;
    private BigDecimal ordersPrice;
}
