package com.bwie.ask.controller;
import com.bwie.ask.AskApp;
import com.bwie.ask.seriver.AskRentService;
import com.bwie.common.domain.AskRent;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;
/**
 * 求租controller层
 */
@RestController
@RequestMapping("/rent")
public class AskRentController {
    private final AskRentService askRentService;
    public AskRentController(AskRentService askRentService) {
        this.askRentService = askRentService;
    }
    @PostMapping("/shouList")
    public Result<List<AskRent>> shouList(){
        return askRentService.shouList();
    }
    @PostMapping("/addAskRent")
    public Result addAskRent(@RequestBody AskRent askRent){
        return askRentService.addAskRent(askRent);
    }
}
