package com.bwie.ask.seriver;

/**
 * 懒汉模式
 */
public class Test02 {
    //私有方法
    private Test02(){};
    //使用volatile 赋值为空
    private static volatile Test02 intanse = null;
    //静态方法双重判断
    public static  Test02 getInstance(){
        if(intanse==null){
            synchronized (Test02.class){
                if(intanse==null){
                    //创建对象
                    intanse = new Test02();
                }
            }
        }
        //返回创建对象
        return intanse;
    }


}
