package com.bwie.chat.controller;

import com.bwie.chat.service.ChatServiceImpl;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ChatController {
//    @RequestMapping("im")
//    public ModelAndView page() {
//        return new ModelAndView("ws");
//    }
    private final ChatServiceImpl chatService;

    public ChatController(ChatServiceImpl chatService) {
        this.chatService = chatService;
    }


    /*
     * @Description: 消息推送
     * @Method: pushToWeb
     * @Param: [message, toUserId]
     * @Update:
     * @since: 1.0.0
     * @Return: org.springframework.http.ResponseEntity<java.lang.String>
     *
     */
    @RequestMapping("/push")
    public ResponseEntity<String> pushToWeb(@RequestParam String message,  Long toUserId) throws Exception {

        boolean flag = chatService.sendInfo(message, toUserId.toString());
        return flag == true ? ResponseEntity.ok("消息推送成功...") :
                ResponseEntity.ok("消息推送失败，用户不在线...");
    }

}
