package com.bwie.esask.feign;

import com.bwie.common.domain.AskBuy;
import com.bwie.common.domain.AskRent;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient("bwie-ask")
public interface AskBuyRentFeign {

    @PostMapping("/buy/shouAll")
    public Result<List<AskBuy>> shouAll();

    @PostMapping("/rent/shouList")
    public Result<List<AskRent>> shouList();







}
